# libassuan 3.0.2 — IPC de GnuPG (de-Alpinizada, Etapa G). configure-split, estático musl.
# Depende de libgpg-error (canónica, sellada en el catálogo).
name    = "libassuan"
version = "3.0.2"
license = "LGPL-2.1-or-later"

[source]
tarball = "https://www.gnupg.org/ftp/gcrypt/libassuan/libassuan-3.0.2.tar.bz2"
sha256  = "d2931cdad266e633510f9970e1a2f346055e351bb19f9b78912475b8074c36f6"

[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []

[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr --disable-shared --enable-static --disable-nls --disable-doc --with-libgpg-error-prefix=/usr'
compile   = 'make'
install   = 'make DESTDIR=/out install'

[deps]
build = ["libgpg-error", "linux-headers", "pkgconf", "make"]
